Long overdue update
authorRémi Denis-Courmont <rem@videolan.org>
Sun, 11 Mar 2007 10:44:48 +0000 (10:44 +0000)
committerRémi Denis-Courmont <rem@videolan.org>
Sun, 11 Mar 2007 10:44:48 +0000 (10:44 +0000)
HACKING
INSTALL

diff --git a/HACKING b/HACKING
index fcaa3fc..e3ffc06 100644 (file)
--- a/HACKING
+++ b/HACKING
@@ -16,13 +16,11 @@ ____________
 
 You will need the following tools if you plan to use the SVN version of vlc:
 
- - autoconf version 2.50 or later
-
- - automake version 1.5 (but 1.6 or later is recommended)
-
- - gettext version 0.10.40 (but 0.11.3 or later is recommended)
-
- - perl version 5.005 or later
+ - Autoconf version 2.60 or later
+ - Automake version 1.9 or later
+ - gettext version 0.11.5 or later
+ - pkg-config
+ - libgcrypt 1.2 (or compatible)
 
 After retrieving the SVN tree, you need to run the bootstrap script to
 generate all the files needed to build vlc. You can then run configure.
diff --git a/INSTALL b/INSTALL
index 0ef5900..593cdb0 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -16,30 +16,25 @@ Configuring VLC
 
 A typical way to configure VLC is:
 
-   ./configure --prefix=/usr --enable-wxwidgets
+   ./configure --prefix=/usr
 
 See `./configure --help' for more information.
 
 If you intend to debug stuff, you may want to compile with debugging
 symbols:
 
-   make distclean ; ./configure --prefix=/usr --enable-wxwidgets --enable-debug
+   make distclean ; ./configure --prefix=/usr --enable-debug
 
-We recommend using GCC (versions 3.3 or later) to build VLC, though some
-people reported success with the Intel C compiler (version 8) as well. As of
-VLC version 0.9.0, GCC 2.95 is not supported anymore; if this is the default
-compiler on your system (e.g. FreeBSD 4.x), please select a more recent
-version manually by setting the CC and CXX environment variables
+We recommend using GCC to build VLC, though some people reported success
+with the Intel C compiler (version 8) as well. GCC version 3.3 or higher is
+required. On older systems (e.g. FreeBSD 4.x, BeOS), please select a more
+recent version manually by setting the CC and CXX environment variables
 appropriately while running the ./configure shell script.
 
 
 Building VLC
 ============
 
-Have a look at the generated Makefile.opts file, you may want to choose
-which modules will be compiled as plugins, and which ones will remain in
-the core application. The configure script tries to guess for you.
-
 Once configured, run `make' to build VLC.